<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__hal__results__usbdev" kind="group">
    <compoundname>group_hal_results_usbdev</compoundname>
    <title>USB Device HAL Results</title>
      <sectiondef kind="define">
      <memberdef id="group__group__hal__results__usbdev_1ga97ebcf5d7cb38f5fd30a7f0313036d7a" kind="define" prot="public" static="no">
        <name>CYHAL_USB_DEV_RSLT_ERR</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a608cd624d7042ae5d77c6134f7ea382f">CYHAL_RSLT_MODULE_USB</ref>, 0))</initializer>
        <briefdescription>
<para>The usb error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_usb_dev.h" bodystart="108" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_usb_dev.h" line="108" />
      </memberdef>
      <memberdef id="group__group__hal__results__usbdev_1ga5257ee0ae42e057fe514fb0ead6dedc4" kind="define" prot="public" static="no">
        <name>CYHAL_USB_DEV_RSLT_ERR_BAD_DRV_CFG</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a608cd624d7042ae5d77c6134f7ea382f">CYHAL_RSLT_MODULE_USB</ref>, 1))</initializer>
        <briefdescription>
<para>The driver configuration is not supported by the HAL. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_usb_dev.h" bodystart="111" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_usb_dev.h" line="111" />
      </memberdef>
      <memberdef id="group__group__hal__results__usbdev_1gafa0fc8e75cf177cddad24a9ad558e329" kind="define" prot="public" static="no">
        <name>CYHAL_USB_DEV_RSLT_ERR_CLK_CFG</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a608cd624d7042ae5d77c6134f7ea382f">CYHAL_RSLT_MODULE_USB</ref>, 2))</initializer>
        <briefdescription>
<para>The configuration of USB clock failed. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_usb_dev.h" bodystart="114" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_usb_dev.h" line="114" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>USB Device specific return codes. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>